      subroutine char16match(tobematched,vector,length,match)
 
c     Subroutine to find the position in a character*16 vector of a
c     certain element.  Arguments:
c        tobematched [in] character string to be matched
c        vector      [in] character*16 array to find match in
c        length      [in] dimension of vector
c        match      [out] >0 if vector(match)=tobematched
c                         =0 if no match is found
c
c     Constantijn Panis, 14 July 1996
 
      implicit none
      integer length,match
      character tobematched*(*),vector(length)*16
 
      do 100 match=1,length
         if(tobematched.eq.vector(match))goto 999
  100 continue
      match=0
 
  999 return
      end
