      double precision function dbleequiv(integer1,integer2)
 
c     Double precision function that returns the double precision
c     equivalent of two integers.  Useful for using "special" values,
c     especially across routines.
c
c     NOTE:  be careful in circumstances where a (remote) possibility
c     exists that the double precision equivalent is a number which may
c     actually occur in any subprogram.
c
c     Constantijn Panis, 7 June 1996
 
      implicit none
      integer integer1,integer2,i(2)
      double precision d
      equivalence(i,d)
 
      i(1)=integer1
      i(2)=integer2
      dbleequiv=d
 
      return
      end
