      double precision function dpabsvecmin(array,length)
 
c     Double precision function to determine the lowest element of
c     a vector in absolute values.
c     If length=0, dpabsvecmin=0.d0 is returned.
c
c     Constantijn Panis,  16 May 2004
 
      implicit none
      integer length,i
      double precision array(length)
 
      if(length.eq.0)then
         dpabsvecmin=0.d0
         goto 999
      endif
      dpabsvecmin=dabs(array(1))
      do 100 i=2,length
         dpabsvecmin = min(dpabsvecmin,dabs(array(i)))
  100 continue
 
  999 return
      end
