      logical function dpordered(vector,dim)
 
c     Logical function to check that the first dim element of a double
c     precision vector are in non-strictly increasing order of magnitude.
c     If the length of the vector is negative, .false. is returned.
c     If the length of the vector is 0, .true. is returned.
c
c     Constantijn Panis, 11 January 1992
 
      implicit none
      integer dim,i
      double precision vector(dim)
 
      dpordered = (dim.ge.0)
      if(dim.le.1)goto 999
 
      do 100 i=2,dim
         if(vector(i).lt.vector(i-1))then
            dpordered=.false.
            goto 999
         endif
  100 continue
 
  999 return
      end
