      subroutine dropblock(vdim,oldvdim,nmapmoel,mapmoel,meno,maxmeno,
     *   moel,ipt,jpt)
 
c     Subroutine to handle the drop-out of a building block due to
c     a zero reference variable, including interaction terms.
c
c     Constantijn Panis, 2 February 2000
 
      implicit none
      integer vdim,oldvdim,nmapmoel,mapmoel(nmapmoel),meno,maxmeno,
     *   moel(maxmeno),ipt,jpt,i
 
      vdim=oldvdim
 
c     Input: move meno to the next building block, which starts with a
c     negative number.  The model specification as a whole is
c     delimited by -99.
      do 100 i=meno,maxmeno
         if(moel(i).lt.0)goto 110
  100 continue
      call bug(ipt,jpt)
  110 meno=i
 
c     Output: back up until negative number is found, indicating that the
c     dropped term started there:
      do 200 i=nmapmoel,1,-1
         if(mapmoel(i).lt.0)goto 210
  200 continue
      call bug(ipt,jpt)
  210 nmapmoel=i-1
 
  999 return
      end
 
 
 
 
 
