      subroutine interact(v,a,funcform,nbeta,ipt,jpt)
 
c     Subroutine to compute:
c     if funcform = 0    v = a
c                   1    v = a
c                   2    v = v + a
c                   3    v = v - a
c                   4    v = v * a
c                   5    v = v / a
c
c     for v(i), i=1,nbeta
c
c     Constantijn Panis,  7 July 1996
 
      implicit none
      integer funcform,nbeta,ipt,jpt,i
      real v(nbeta),a
 
      if(funcform.le.1)then
         do 100 i=1,nbeta
            v(i) = a
  100    continue
      elseif(funcform.eq.2)then
         do 110 i=1,nbeta
            v(i) = v(i) + a
  110    continue
      elseif(funcform.eq.3)then
         do 120 i=1,nbeta
            v(i) = v(i) - a
  120    continue
      elseif(funcform.eq.4)then
         do 130 i=1,nbeta
            v(i) = v(i) * a
  130    continue
      elseif(funcform.eq.5)then
         if(a.eq.0.)goto 800
         do 140 i=1,nbeta
            v(i) = v(i) / a
  140    continue
      else
         call bug(ipt,jpt)
      endif
      goto 999
 
  800 if(ipt.gt.0)write(8,801)
      if(jpt.gt.0)write(6,801)
  801 format(/,'ERROR:  attempt to divide by zero in a regresor set.')
      stop
  999 return
      end
