      subroutine pushstack(push,stack,dim,status)
 
c     Subroutine to push integer variable push into a stack.  Irrelevant
c     stack elements are set to zero, and at least one zero must remain
c     on the bottom.
c
c     Constantijn Panis, 2 March 1995
 
      implicit none
      integer push,dim,stack(dim),status,i
 
      status=0
      if(stack(dim-1).ne.0)goto 800
c     Pull down the stack:
      do 100 i=dim-1,2,-1
         stack(i)=stack(i-1)
  100 continue
c     And push the new one on top:
      stack(1)=push
      goto 999
 
  800 status=1
  999 return
      end
