      subroutine realmatch(tobematched,vector,length,match)
 
c     Subroutine to find the position in a real vector of a
c     certain element.  Arguments:
c        tobematched [in] real number to be matched
c        vector      [in] real array to find match in
c        length      [in] dimension of vector
c        match      [out] >0 if vector(match)=tobematched
c                         =0 if no match is found
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer length,match
      real tobematched,vector(length)
 
      do 100 match=1,length
         if(tobematched.eq.vector(match))goto 999
  100 continue
      match=0
 
  999 return
      end
