      subroutine vech(a,b,n)
 
c     Subroutine to map the lower diagonal of a symmetric matrix A
c     into the first n*(n+1)/2 elements of B, i.e., stack its
c     elements like the vech operator.
c     Note that A and B may share the same storage.
c
c     Constantijn Panis,  7 October 1991
 
      implicit none
      integer n,i,j,k
      double precision a(n,n),b(n*(n+1)/2)
 
      k=0
      do 100 j=1,n
         do 110 i=j,n
            k=k+1
            b(k) = a(i,j)
  110    continue
  100 continue
 
      return
      end
