      subroutine write_entry(unit,deduct,n,nlen,
     *   xmean,xstd,xmin,xmax,name)
 
c     Subroutine to write an entry in the documentation file that
c     is human readable.
c
c     Constantijn Panis, 18 January 2000
c     Last change: write out N
 
      implicit none
      integer unit,n,nlen,skip,intlen
      real deduct
      double precision xmean,xstd,xmin,xmax
      character name*8
      logical isnan
 
      if(n.eq.0)then
         write(unit,'(a8,i7,4(10x,a))')name,0,'.','.','.','.'
         goto 999
      endif
 
c     write(unit,'(a,$)')name
      write(unit,'(a,$)')name
cD     write(unit,'(a)',advance='no')name
      skip=nlen-intlen(n)
      call writeint(unit,n,skip,0)
      call writedble(unit,xmean,3,8,0,0)
      if(isnan(xstd))then
c        write(unit,'(7x,a,$)')'.   '
         write(unit,'(7x,a,$)')'.   '
cD        write(unit,'(7x,a)',advance='no')'.   '
      else
         call writedble(unit,xstd,3,8,0,0)
      endif
      call writedble(unit,xmin,3,8,0,0)
      call writedble(unit,xmax,3,8,0,0)
      if(deduct.eq.0.)then
         write(unit,'(1x)')
      elseif(deduct.eq.real(xmean))then
         write(unit,'(a)')'  (dev=mean)'
      else
         call writeada(unit,0,1,'  (dev=',-8,dble(deduct),')')
      endif
 
  999 return
      end
