      subroutine write_scr(id,numdist,sumintdim,ne,neh,nel,nep,nec,neb,
     *   nen,nepo,neml,nneml,neint,vpntr1,vpntr4,vpntr6,vpntr5,vpntr7,
     *   dimv,mp1,mp4,mp6,mp5,mp7,nmapmoel,dimscr,plusmin,mapmoel,
     *   nested,draw,ndraw,dimused,lamtyp,obsweight,v,ipt,jpt)
 
c     Subroutine to write out one observation of the scratch data set.
c     Read_scr and its calling routine, amlfunc_, read this observation
c     back in.
c
c     Constantijn Panis, 11 November 2002
c     Last change: Poisson
 
      implicit none
      integer id,numdist,sumintdim,ne,neh,nel,nep,nec,neb,nen,nepo,neml,
     *   nneml,neint,vpntr1,vpntr4,vpntr6,vpntr5,vpntr7,dimv,mp1,
     *   mp4,mp6,mp5,mp7,nmapmoel,
     *   dimscr,plusmin,mapmoel(nmapmoel),nested(numdist,2),draw(ne),
     *   ndraw(numdist),dimused(sumintdim),lamtyp(numdist),ipt,jpt
      real obsweight,v(dimv)
 
      write(13,err=800)id,neh,nel,nep,nec,neb,nen,nepo,neml,nneml,neint,
     *   vpntr1,vpntr4,vpntr6,vpntr5,vpntr7,dimv,dimscr,
     *   mp1,mp4,mp6,mp5,mp7,nmapmoel,plusmin,obsweight
      write(13,err=800)mapmoel,nested,draw,ndraw,dimused,lamtyp,v
      goto 999
 
  800 if(ipt.gt.0)write(8,801)
      if(jpt.gt.0)write(6,801)
  801 format(/,'ERROR encountered while writing the scratch data ',
     *   'set.  Do you have',/,'sufficient permission to write in ',
     *   'this directory?  Is the disk full?')
      stop
  999 return
      end
