      double precision function dnorm2(x,y,rho)
 
c     Function to compute bivariate normal density.
 
      implicit none
      double precision x,y,rho,rhosq,denom,power
 
      rhosq=rho*rho
      denom=6.2831853071795864769d0*dsqrt(1.d0 - rhosq)
      power=(x*x - 2.d0*rho*x*y + y*y)/(1.d0 - rhosq)
      dnorm2=dexp(-.5d0*power)/denom
 
      return
      end
