      double precision function dprowprod(a,nrow,ncol)
 
c     Function to compute the product of row elements of matrix a.
c     The product of the first row is computed; should the product of
c     row i be desired, use the routine as follows:
c        dprowprod(a(i,1),nrow,ncol)
c
c     Constantijn Panis,  8 December 1992
 
      implicit none
      integer nrow,ncol,i
      double precision a(nrow*ncol),temp
 
      temp=1.d0
      do 100 i=1,nrow*ncol,nrow
         temp = temp*a(i)
  100 continue
      dprowprod=temp
 
      return
      end
