      subroutine hadamard(x1,x2,x3,n)
 
c     Subroutine to compute a Hadamard product of two arrays.
c     A Hadamard product multiplies element by element:
c        x3(i) = x1(i) * x2(i)      i=1,n
c
c     Constantijn Panis,  15 February 1991
 
      implicit none
      integer i,n
      double precision x1(n),x2(n),x3(n)
 
      do 100 i=1,n
         x3(i) = x1(i)*x2(i)
  100 continue
 
      return
      end
