      double precision function innerpr(x,y,n)
 
c     Function routine to compute the innerproduct of double precision
c     vectors x and y, IN REVERSE ORDER: the first element of x is
c     multiplied by the last element of y, the second of x to the
c     second-to-last of y, et cetera.
c
c     Constantijn Panis,  9 December 1995
 
      implicit none
      integer n,i
      double precision x(n),y(n)
 
      innerpr=0.d0
      do 100 i=1,n
         innerpr=innerpr+x(i)*y(n+1-i)
  100 continue
 
      return
      end
