      subroutine makeroom(array,numbytes,length,ccmax,maxcc,ipt,jpt)
 
c     Subroutine to assign a pointer to an array's position
c     in cc(maxcc) or its equivalents (dd, rr, ii, ll).
c
c     Constantijn Panis, 11 November 1996
 
      implicit none
      integer array,numbytes,length,ccmax,maxcc,ipt,jpt
 
c     Compute the next available position in cc(.)
      if(mod(ccmax,numbytes).eq.0)then
c        Array may start immediately following previous entry in cc(.)
         array=ccmax/numbytes+1
      else
c        Need to fill some unused bytes:
         array=ccmax/numbytes+2
      endif
 
c     Update ccmax, the number of bytes used in cc.
      ccmax=numbytes*(array+length)
 
      if(ccmax.gt.maxcc)call needmemory(maxcc,ccmax,0,ipt,jpt)
 
      return
      end
 
