      subroutine putdpsrow(invector,length,array,ncol,nrow)
 
c     Subroutine to put a double precision vector(length) into array(1)
c     through array(length) and also in array(1+nrow) through array(length+nrow)
c     and also in subsequent locations, for a total of ncol times.
c
c     The real version of this routine is putrealsrow.
c
c     Constantijn Panis,  4 March 2002
 
      implicit none
      integer length,ncol,nrow,i
      double precision invector(length),array(*)
 
      do 100 i=1,ncol*nrow,nrow
         call copy8(invector,array(i),length)
  100 continue
 
      return
      end
