      real function realequiv(integer)
 
c     Real function that returns the real equivalent of an integer.
c     Useful for using "special" values, espeially across routines.
c
c     NOTE:  be careful in circumstances where a (remote) possibility
c     exists that the real equivalent is a number which may actually
c     occur in any subprogram.
c
c     Constantijn Panis, 7 June 1996
 
      implicit none
      integer integer,i
      real r
      equivalence(i,r)
 
      i=integer
      realequiv=r
 
      return
      end
