      real function round(x,d)
 
c     Function to round x to precision d; e.g., if d=1.,
c     the integer value is returned, if d=.01, it is
c     rounded to 2 decimal places.
c     Note that d must be real!!!  In other words,
c     x= round(x,1) is invalid, it should be x = round(x,1.)
c
c     Constantijn Panis, 27 September 1989
 
      implicit none
      integer intx
      real x,d
 
      if(x.lt.0.d0)then
         intx = int((x-.5*d)/d)
         round = d*intx
      elseif(x.eq.0.d0)then
         round = 0.
      else
         intx = int((x+.5*d)/d)
         round = d*intx
      endif
 
      return
      end
