      subroutine tabexpand(line)
 
c     Subroutine to replace tabs by 8 spaces, but never such that
c     the total length would exceed the space set aside for the line.
c
c     Constantijn Panis,  13 December 1990
 
      implicit none
      integer i,j,length,len,trm,maxlength
      character line*(*),ht*1,space8*8,ascii*1
      data space8/'        '/
 
c     ht is the horizontal tab:
      ht=ascii(9)
 
      maxlength = len(line)
      length = trm(line)
      i=1
  100 if(line(i:i).eq.ht)then
         if(length+7.gt.maxlength)goto 999
         do 110 j=length,i+1,-1
            line(j+7:j+7) = line(j:j)
  110    continue
         length = length+7
         line(i:i+7) = space8
         i=i+7
      endif
      i=i+1
      if(i.lt.length)goto 100
 
  999 return
      end
