      subroutine trackfreq(num,maxfreqcat,freqloc,freqcat,freqs,
     *   nbdim,nb,branch,xpntr,nxold,nold,x)
 
c     Subroutine to keep track of frequency distributions of variables
c     that are used to indirectly reference model elements.
c
c     Constantijn Panis,  15 January 1998
c     Last change: real variables
 
      implicit none
      integer num,maxfreqcat,freqloc(num),freqs(maxfreqcat,num),
     *   nbdim,nb(nbdim,2),branch(*),xpntr(2:*),nxold(*),
     *   nold,i,level,varpos,n,xpos
      real x(*),freqcat(maxfreqcat,num)
 
      do 100 i=1,num
         if(freqloc(i).le.0)call bug(1,1)
         level=freqloc(i)/(nold+1)
         varpos=mod(freqloc(i),nold+1)
         n=xpos(level,nbdim,nb,branch,xpntr,nxold,varpos)
         call figure_freq(x(n),freqcat(1,i),freqs(1,i),maxfreqcat)
  100 continue
 
  999 return
      end
