      subroutine writeint(unit,i,skip,lf)
 
c     Subroutine to write intvar i in compact format.
c     Arguments:
c        unit [in] unit to which integer needs to be written
c        i    [in] integer number to be written
c        skip [in] number of spaces to be skipped before writing i
c        lf   [in] integer controlling whether a linefeed is written after
c                  the number:  0=no;  other=yes.
c
c     Constantijn Panis, 3 June 1996
 
      implicit none
      integer unit,i,skip,lf,ss,intlen,trm
      character ssc*3,fmt*8,i2c*12
 
      ss=intlen(i)+skip
      ssc=i2c(ss,0)
 
      if(lf.eq.0)then
c        fmt='(i'//ssc(1:trm(ssc))//',$)'
c        write(unit,fmt)i
         fmt='(i'//ssc(1:trm(ssc))//',$)'
         write(unit,fmt)i
cD        fmt='(i'//ssc(1:trm(ssc))//')'
cD        write(unit,fmt,advance='no')i
      else
         fmt='(i'//ssc(1:trm(ssc))//')'
         write(unit,fmt)i
      endif
 
      return
      end
 
