      subroutine wrmodel46(levelmax,unit,nfull,numdist,sumdim,
     *   numpar,meno,moel,distdim,pardim,parpos,namepntr,nold,
     *   maxxnode,xnode,oldname,parname,rsetname,resname,splname)
 
c     Subroutine to write out a tobit model specification.
c
c     Constantijn Panis,  9 September 2002
 
      implicit none
      integer levelmax,unit,nfull,numdist,sumdim,numpar,meno,
     *   moel(*),distdim(numdist),pardim(numpar),parpos(numpar),
     *   namepntr(levelmax),nold,maxxnode
      real xnode(maxxnode)
      character oldname(nold)*8,parname(*)*12,rsetname(*)*12,
     *   resname(sumdim)*8,splname(*)*12
 
c     Outcome:
c     write(unit,'(3x,a,$)')'outcome = '
      write(unit,'(3x,a,$)')'outcome = '
cD     write(unit,'(3x,a)',advance='no')'outcome = '
      call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno),
     *   0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
      write(unit,'(a)')';'
      meno=meno+1
 
      if(moel(meno).eq.1)then
c        write(unit,'(3x,a,$)')'lower limit = '
         write(unit,'(3x,a,$)')'lower limit = '
cD        write(unit,'(3x,a)',advance='no')'lower limit = '
         call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno+1),
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a)')';'
         meno=meno+2
      endif
      if(moel(meno).eq.2)then
c        write(unit,'(3x,a,$)')'upper limit = '
         write(unit,'(3x,a,$)')'upper limit = '
cD        write(unit,'(3x,a)',advance='no')'upper limit = '
         call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno+1),
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a)')';'
         meno=meno+2
      endif
 
c     write(unit,'(3x,a,$)')'model = '
      write(unit,'(3x,a,$)')'model = '
cD     write(unit,'(3x,a)',advance='no')'model = '
      call wrmodel(levelmax,unit,nfull,numdist,sumdim,numpar,meno,
     *   moel,maxxnode,distdim,pardim,parpos,namepntr,nold,xnode,
     *   oldname,parname,rsetname,resname,splname)
      write(unit,'(/,6x,a)')';'
 
  999 return
      end
