      integer function numrectx(level,nx,nbr)
 
c     Integer function to compute the number of variable values to be read
c     of branches up to and including level level, if the data are stored
c     in rectangular format.  Level 1 VARIABLES ARE EXCLUDED!
c     Integer array nbr is the number of branches at each level, as
c     specified by the user in the control file.
c     Integer array nx denotes the number of variables at each level for
c     the current data structure.
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer level,nx(level),nbr(3:level),n,i,intvecprod
 
      n=nx(2)
      do 100 i=3,level
         n=n+nx(i)*intvecprod(nbr(3),i-2)
  100 continue
      numrectx=n
 
      return
      end
