      subroutine initithobs(numnest,neh,nel,nep,neb,nen,nepo,nec,neml,
     *   nneml,nfullplus,numdist,sumintdim,sumdim2,sumdim4,sumbigintdim,
     *   dimlam,dimarar,dimii,maxnepsumintdim,lampos,lamtyp,lnlobs,like,
     *   lnl,dfullbeta,ddfullbeta,dcmui,ddcmui,dxbh,ddxbh,dxblp,ddxblp,
     *   dxbc,ddxbc,sigii,dsigii,ddsigii,a5,da5,dda5,p5,dp5,ddp5,xbml,
     *   dxbml,ddxbml,lam,dlam,ddlam,dsiga4a4,ddsiga4a4,dtau,ddtau,
     *   dsiga6a6,ddsiga6a6,dsigdd,da6,stda4,ddui,cmui,ddcdm,dcdmdsigii,
     *   dlnla,dlnlb,siga4a4,tau,siga6a6,sigil6,dsigil6,sigarar,
     *   dsigarar,sigl4l6,dsigl4l6,ddsigl4l6,siga6a6ia6,epsh,epsl,epsp,
     *   epsc,epsb,epsn,epspo,epsml,ddepsh,ddepsl,ddepsp,ddepsc,ddepsb,
     *   ddepsn,ddepspo,ddepsml,bdc,cmua4,sigl4l6a6a6i,ifdrv,iflam,iid4)
 
c     Subroutine to initialize lots of arrays in ithobs.
c
c     Constantijn Panis, 11 November 2002
c     Last change: Poisson
 
      implicit none
      integer numnest,neh,nel,nep,neb,nen,nepo,nec,neml,nneml,nfullplus,
     *   numdist,sumintdim,sumdim2,sumdim4,sumbigintdim,dimlam,dimarar,
     *   dimii,maxnepsumintdim,lampos(numdist,8),lamtyp(numdist,8),
     *   bdc(nep),i
      double precision lnlobs,like(numnest),lnl(0:numnest),lam(dimlam),
     *   sigarar(dimarar),sigii(dimii),cmui(sumbigintdim),epsh(neh),
     *   epsl(nel),epsp(nep),epsc(nec),epsb(neb),epsn(nen),epspo(nepo),
     *   epsml(nneml),siga4a4(nep,nep),stda4(nep),
     *   sigl4l6(nep*nec,numdist),cmua4(nep),tau(2,nel+nep),
     *   siga6a6(nec,nec),sigil6(sumbigintdim,nec),siga6a6ia6(nec),
     *   sigl4l6a6a6i(maxnepsumintdim*nec),a5(nen),p5(neb+nen+nepo),
     *   xbml(nneml)
      double precision dfullbeta(nfullplus,0:numnest),
     *   ddfullbeta(nfullplus,numnest),ddui(sumintdim),
     *   dcmui(sumbigintdim,0:numnest-1),ddcmui(sumbigintdim,numnest),
     *   ddcdm(sumdim2),dcdmdsigii(sumdim4),
     *   dsigdd(sumdim2),dlam(dimlam,0:numnest-1),ddlam(dimlam,numnest),
     *   dsigarar(dimarar),dsigii(dimii,0:numnest-1),
     *   ddsigii(dimii,numnest-1),dlnla(nfullplus,neh),
     *   dlnlb(nfullplus,neh),dxbh(neh,0:numnest),ddxbh(neh,numnest),
     *   ddepsh(neh),ddepsl(nel),ddepsp(nep),ddepsc(nec),ddepsb(neb),
     *   ddepsn(nen),ddepspo(nepo),ddepsml(nneml),
     *   dsiga4a4(nep,nep,0:numnest),ddsiga4a4(nep,nep,numnest),
     *   dsigl4l6(nep*nec,numdist,0:numnest-1),
     *   ddsigl4l6(nep*nec,numdist,numnest),
     *   dtau(2,nel+nep,0:numnest),ddtau(2,nel+nep,numnest),
     *   dxblp(nel+nep,0:numnest),ddxblp(nel+nep,numnest),
     *   da6(nec),dxbc(nec,0:numnest),ddxbc(nec,numnest),
     *   dsiga6a6(nec,nec,0:numnest),ddsiga6a6(nec,nec,numnest),
     *   dsigil6(sumbigintdim,nec),da5(nen,0:numnest),dda5(nen,numnest),
     *   dp5(neb+nen+nepo,0:numnest),ddp5(neb+nen+nepo,numnest),
     *   dxbml(nneml,0:numnest),ddxbml(nneml,numnest)
      logical ifdrv,iflam(numdist),iid4,ifany
 
      lnlobs=0.d0
      call zerodp(numnest,like)
      call zerodp(1+numnest,lnl)
      call zerodp(dimlam,lam)
      call zerodp(dimarar,sigarar)
      call zerodp(dimii,sigii)
      call zerodp(sumbigintdim,cmui)
      call zerodp(neh,epsh)
      call zerodp(nel,epsl)
      if(nep.gt.0)then
         call zerodp(nep*nep,siga4a4)
         call zerodp(nep,stda4)
         call zerodp(nep*nec*numdist,sigl4l6)
         call zerodp(nep,cmua4)
         call zerodp(nep,epsp)
         do 100 i=1,nep
            bdc(i)=i
  100    continue
      endif
      call zerodp(2*(nel+nep),tau)
      if(nec.gt.0)then
         call zerodp(nec*nec,siga6a6)
         call zerodp(sumbigintdim*nec,sigil6)
         call zerodp(nec,siga6a6ia6)
         call zerodp(nec,epsc)
         call zerodp(maxnepsumintdim*nec,sigl4l6a6a6i)
      endif
      if(neb+nen+nepo.gt.0)then
         call zerodp(nen,a5)
         call zerodp(neb+nen+nepo,p5)
         call zerodp(neb,epsb)
         call zerodp(nen,epsn)
         call zerodp(nepo,epspo)
      endif
      if(neml.gt.0)then
         call zerodp(nneml,xbml)
         call zerodp(nneml,epsml)
      endif
 
      if(.not.ifdrv)goto 999
 
      call zerodp(nfullplus*(1+numnest),dfullbeta)
      call zerodp(nfullplus*numnest,ddfullbeta)
      call zerodp(sumintdim,ddui)
      call zerodp(sumbigintdim*numnest,dcmui)
      call zerodp(sumbigintdim*numnest,ddcmui)
      call zerodp(sumdim2,ddcdm)
      call zerodp(sumdim4,dcdmdsigii)
      call zerodp(sumdim2,dsigdd)
      if(ifany(iflam,numdist))then
         call zerodp(dimlam*numnest,dlam)
         call zerodp(dimlam*numnest,ddlam)
c        Copy structure of sparse matrices into derivative space.  Sparsity
c        is determined in figure_res.   Only non-integrated distributions
c        may be sparse, i.e., only distributions in probit and continuous outcom
c        models.  There are eight types of models (1=hazard, 2=logit, 3=probit,
c        4=continuous, 5=binomial, 6=negative binomial, 7=Poisson, 8=multinomial
         do 200 i=1,numdist
            if(lamtyp(i,3).eq.4)then
               call putdpsrow(lam(lampos(i,3)+1),nep,
     *            dlam(lampos(i,3)+1,0),numnest,dimlam)
               call putdpsrow(lam(lampos(i,3)+1),nep,
     *            ddlam(lampos(i,3)+1,1),numnest,dimlam)
            endif
            if(lamtyp(i,4).eq.4)then
               call putdpsrow(lam(lampos(i,4)+1),nec,
     *            dlam(lampos(i,4)+1,0),numnest,dimlam)
               call putdpsrow(lam(lampos(i,4)+1),nec,
     *            ddlam(lampos(i,4)+1,1),numnest,dimlam)
            endif
  200    continue
      endif
      call zerodp(dimarar,dsigarar)
      call zerodp(dimii*numnest,dsigii)
      call zerodp(dimii*(numnest-1),ddsigii)
      if(neh.gt.0)then
         call zerodp(nfullplus*neh,dlnla)
         call zerodp(nfullplus*neh,dlnlb)
         call zerodp(neh*(1+numnest),dxbh)
         call zerodp(neh*numnest,ddxbh)
         call zerodp(neh,ddepsh)
      endif
      if(nel.gt.0)then
         call zerodp(nel,ddepsl)
      endif
      if(nep.gt.0)then
         call zerodp(nep*nep*(1+numnest),dsiga4a4)
         call zerodp(nep*nep*numnest,ddsiga4a4)
         call zerodp(nep,ddepsp)
      endif
      if(nel+nep.gt.0)then
         call zerodp(2*(nel+nep)*(1+numnest),dtau)
         call zerodp(2*(nel+nep)*numnest,ddtau)
         call zerodp((nel+nep)*(1+numnest),dxblp)
         call zerodp((nel+nep)*numnest,ddxblp)
      endif
      if(nec.gt.0)then
         call zerodp(nec,da6)
         call zerodp(nec*(1+numnest),dxbc)
         call zerodp(nec*numnest,ddxbc)
         call zerodp(nec*nec*(1+numnest),dsiga6a6)
         call zerodp(nec*nec*numnest,ddsiga6a6)
         call zerodp(sumbigintdim*nec,dsigil6)
         call zerodp(nec,ddepsc)
      endif
      if(neb+nen+nepo.gt.0)then
         call zerodp(nen*(1+numnest),da5)
         call zerodp(nen*numnest,dda5)
         call zerodp((neb+nen+nepo)*(1+numnest),dp5)
         call zerodp((neb+nen+nepo)*numnest,ddp5)
         call zerodp(neb,ddepsb)
         call zerodp(nen,ddepsn)
         call zerodp(nepo,ddepspo)
      endif
      if(neml.gt.0)then
         call zerodp(nneml*(1+numnest),dxbml)
         call zerodp(nneml*numnest,ddxbml)
         call zerodp(nneml,ddepsml)
      endif
      if(nec.gt.0.and.nep.gt.0.and..not.iid4)then
         call zerodp(nep*nec*numdist*numnest,dsigl4l6)
         call zerodp(nep*nec*numdist*numnest,ddsigl4l6)
      endif
 
  999 return
      end
