      subroutine startaml(clocktime,amlversion,amlfile,rundate,line)
 
c     This subroutine starts aml execution; it
c        (1) ensures that standard output behaves like a file ('list')
c        (2) determines the time and date at which execution began
c        (3) opens the control and output files
c
c     Constantijn Panis, 21 January 2006
 
      implicit none
      integer clocktime,amlversion
c     integer time
      integer time
c     integer cr,cm
      character amlfile*128,rundate*24,line*128
 
c     Fortran standard treats first character to standard output as
c     carriage control.  We don't want that.  SUN f77 and Digital for
c     PC and Alpha OK by default.
 
c     Determine time and date of beginning of execution.  All platforms
c     require extensions.
      clocktime = time()
c     call system_clock(clocktime,cr,cm)
c     clocktime = time()
 
c     Start of program
      call timestamp(rundate)
 
c     Open the control, macro-expanded, and output files
      call amlfiles(amlfile,amlversion,line)
 
  999 return
      end
